#define ONESHOT_BASE 429

#define ONESHOT_OPEN_CLIENT (ONESHOT_BASE-5)
#define ONESHOT_OPEN        (ONESHOT_BASE-4)
#define ONESHOT_ENTER       (ONESHOT_BASE-3)
#define ONESHOT_RESPAWN     (ONESHOT_BASE-2)
#define ONESHOT_ENTERESPAWN (ONESHOT_BASE-1)

#define ONESHOT_DECORATE    (ONESHOT_BASE+1)
#define ONESHOT_MONSTER     (ONESHOT_BASE+2)
#define ONESHOT_SETCLIENT1  (ONESHOT_BASE+3)
#define ONESHOT_SETCLIENT2  (ONESHOT_BASE+4)

#define MWEAKNESS_COUNT     8
#define WEAKNESS_COUNT      7

int OneshotWeakness = -1, OneshotMWeakness = -1, IsServer = -1;
int OneshotGambler = -1, OneshotGamblerDie = -1, OneshotNoRandom = -1;

int skillNames[WEAKNESS_COUNT][MWEAKNESS_COUNT] = 
{
    {"Normal",      "Permastrength",    "Overkill", "Daydream",     "Wrecking Ball",    "Curbstomp",    "Massacre",     "Genocide"},
    {"Squishiness", "Doubler",          "Serious",  "Insomnia",     "Bulldozer",        "Beatdown",     "Slaughter",    "Pillage"},
    {"",            "",                 "",         "",             "",                 "",             "",             ""},
    {"",            "",                 "",         "",             "",                 "",             "",             ""},
    {"",            "",                 "",         "",             "",                 "",             "",             ""},
    {"Weakness",    "Realistic",        "Hideous",  "Nightmare",    "Glass Cannon",     "Fragility",    "Minefield",    "Extermination"},
    {"Kaizo",       "Martyr",           "Mental",   "Trauma",       "Already Dead",     "Kamikaze",     "Death Run",    "Sudden Death"},
};

int skillWeaknesses[4] = {0, 1, 5, 6};
int skillMWeaknesses[5] = {7, 6, 5, 1, 0};


int weaknessNames[WEAKNESS_COUNT] = 
{
    "Normal",
    "Anti-resist",
    "Fragile",
    "Weakness",
    "Kamikaze",
    "Martyr",
    "Lemming",
};

int weaknesses[WEAKNESS_COUNT] =
{
    "OneshotDummy",
    "OneshotWeakness2",
    "OneshotWeakness3",
    "OneshotWeakness4",
    "OneshotWeakness5",
    "OneshotWeakness10",
    "OneshotWeakness800",
};


int monWeaknessNames[MWEAKNESS_COUNT] = 
{
    "Normal",
    "Permastrength",
    "Beatdown",
    "Permaquad",
    "Curbstomp",
    "Rampage",
    "Surefire",
    "Bloodbath",
};

int strengths[MWEAKNESS_COUNT] = 
{
    "OneshotDummy",
    "OneshotStrength2",
    "OneshotStrength3",
    "OneshotStrength4",
    "OneshotStrength5",
    "OneshotStrength10",
    "OneshotStrength100",
    "OneshotStrength10000",
};

int safeties[MWEAKNESS_COUNT] = 
{
    "OneshotDummy",
    "OneshotSafety2",
    "OneshotSafety3",
    "OneshotSafety4",
    "OneshotSafety5",
    "OneshotSafety10",
    "OneshotSafety100",
    "OneshotSafety10000",
};

int monWeaknesses[MWEAKNESS_COUNT] = 
{
    "OneshotDummy",
    "OneshotMonWeakness2",
    "OneshotMonWeakness3",
    "OneshotMonWeakness4",
    "OneshotMonWeakness5",
    "OneshotMonWeakness10",
    "OneshotMonWeakness100",
    "OneshotMonWeakness10000",
};

int monWeaknessNums[MWEAKNESS_COUNT]    = {1, 2, 3, 4, 5, 10, 100, 10000};
int weaknessNums[WEAKNESS_COUNT]        = {1, 2, 3, 4, 5, 10, 800};
